import{S as K,i as Q,s as V,e as c,k as g,w as H,t as S,M as W,c as u,d as t,m as _,a as m,x as J,h as I,b as i,$ as X,G as p,g as n,y as O,L as Y,q as T,o as U,B as D,v as Z}from"../../chunks/vendor-hf-doc-builder.js";import{I as ee}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as te}from"../../chunks/CodeBlock-hf-doc-builder.js";function ae(C){let o,k,r,l,v,h,z,y,P,$,d,L,b,w,M,x,f,A,s,N,E;return h=new ee({}),f=new te({props:{code:`for batch in dataloader:
    optimizer.zero_grad()
    inputs, targets = batch
    inputs = inputs.to(device)
    targets = targets.to(device)
    outputs = model(inputs)
    loss = loss_function(outputs, targets)
    loss.backward()
    optimizer.step()
    scheduler.step()`,highlighted:`<span class="hljs-keyword">for</span> batch <span class="hljs-keyword">in</span> dataloader:
    optimizer.zero_grad()
    inputs, targets = batch
    inputs = inputs.to(device)
    targets = targets.to(device)
    outputs = model(inputs)
    loss = loss_function(outputs, targets)
    loss.backward()
    optimizer.step()
    scheduler.step()`}}),{c(){o=c("meta"),k=g(),r=c("h1"),l=c("a"),v=c("span"),H(h.$$.fragment),z=g(),y=c("span"),P=S("Learning how to incorporate \u{1F917} Accelerate features quickly!"),$=g(),d=c("p"),L=S(`Please use the interactive tool below to help you get started with learning about a particular
feature of \u{1F917} Accelerate and how to utilize it! It will provide you with a code diff, an explaination
towards what is going on, as well as provide you with some useful links to explore more within
the documentation!`),b=g(),w=c("p"),M=S("Most code examples start from the following python code before integrating \u{1F917} Accelerate in some way:"),x=g(),H(f.$$.fragment),A=g(),s=c("iframe"),this.h()},l(e){const a=W('[data-svelte="svelte-1phssyn"]',document.head);o=u(a,"META",{name:!0,content:!0}),a.forEach(t),k=_(e),r=u(e,"H1",{class:!0});var q=m(r);l=u(q,"A",{id:!0,class:!0,href:!0});var j=m(l);v=u(j,"SPAN",{});var B=m(v);J(h.$$.fragment,B),B.forEach(t),j.forEach(t),z=_(q),y=u(q,"SPAN",{});var R=m(y);P=I(R,"Learning how to incorporate \u{1F917} Accelerate features quickly!"),R.forEach(t),q.forEach(t),$=_(e),d=u(e,"P",{});var F=m(d);L=I(F,`Please use the interactive tool below to help you get started with learning about a particular
feature of \u{1F917} Accelerate and how to utilize it! It will provide you with a code diff, an explaination
towards what is going on, as well as provide you with some useful links to explore more within
the documentation!`),F.forEach(t),b=_(e),w=u(e,"P",{});var G=m(w);M=I(G,"Most code examples start from the following python code before integrating \u{1F917} Accelerate in some way:"),G.forEach(t),x=_(e),J(f.$$.fragment,e),A=_(e),s=u(e,"IFRAME",{src:!0,width:!0,height:!0}),m(s).forEach(t),this.h()},h(){i(o,"name","hf:doc:metadata"),i(o,"content",JSON.stringify(oe)),i(l,"id","learning-how-to-incorporate-accelerate-features-quickly"),i(l,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(l,"href","#learning-how-to-incorporate-accelerate-features-quickly"),i(r,"class","relative group"),X(s.src,N="https://muellerzr-accelerate-examples.hf.space")||i(s,"src",N),i(s,"width","850"),i(s,"height","1600")},m(e,a){p(document.head,o),n(e,k,a),n(e,r,a),p(r,l),p(l,v),O(h,v,null),p(r,z),p(r,y),p(y,P),n(e,$,a),n(e,d,a),p(d,L),n(e,b,a),n(e,w,a),p(w,M),n(e,x,a),O(f,e,a),n(e,A,a),n(e,s,a),E=!0},p:Y,i(e){E||(T(h.$$.fragment,e),T(f.$$.fragment,e),E=!0)},o(e){U(h.$$.fragment,e),U(f.$$.fragment,e),E=!1},d(e){t(o),e&&t(k),e&&t(r),D(h),e&&t($),e&&t(d),e&&t(b),e&&t(w),e&&t(x),D(f,e),e&&t(A),e&&t(s)}}}const oe={local:"learning-how-to-incorporate-accelerate-features-quickly",title:"Learning how to incorporate \u{1F917} Accelerate features quickly!"};function re(C){return Z(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class le extends K{constructor(o){super();Q(this,o,re,ae,V,{})}}export{le as default,oe as metadata};
